aim4.im

## Enum LightState

- java.lang.Object
- - java.lang.Enum<LightState>
  - - aim4.im.LightState

- All Implemented Interfaces:
    Serializable, Comparable<LightState>

      public enum LightState
      extends Enum<LightState>

  Possible states of traffic lights.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GREEN` Cars may cross the intersection.
    `RED` Cars may not cross the intersection.
    `YELLOW` Cars will soon not be able to cross the intersection.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Color` | `getColor()` Get the Color associated with this LightState.
    `static LightState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LightState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RED

          public static final LightState RED

      Cars may not cross the intersection.

    - #### YELLOW

          public static final LightState YELLOW

      Cars will soon not be able to cross the intersection.

    - #### GREEN

          public static final LightState GREEN

      Cars may cross the intersection.

  - ### Method Detail

    - #### values

          public static LightState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LightState c : LightState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LightState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getColor

          public abstract Color getColor()

      Get the Color associated with this LightState.
      Returns:
        the Color associated with this LightState

Copyright © 2013. All rights reserved.